# frozen_string_literal: true
require 'em/pure_ruby'
require "peatio"
require "coinpayments"
require_relative "coinpaymentnew/version"

module Peatio
  module Coinpaymentnew
    class Error < StandardError; end
    # Your code goes here...
    require "bigdecimal"
    require "bigdecimal/util"

    require_relative "../../config/initializers/coinpayments"
    require_relative "coinpaymentnew/blockchain"
    require_relative "coinpaymentnew/client"
    require_relative "coinpaymentnew/wallet"

    require_relative "coinpaymentnew/hooks"

    require_relative "coinpaymentnew/version"
  end
end
